package com.oqpo.api.mapper.system;

import com.oqpo.api.entity.system.JobEntity;
import com.oqpo.api.web.dto.request.GridRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JobMapper {

    List<JobEntity> selectJobGridList(@Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("menuNo") String menuNo, @Param("actTpCd") String actTpCd, @Param("userId") String userId, GridRequest gridRequest) throws Exception;
    int selectJobGridListCnt(@Param("fromDt") String fromDt, @Param("toDt") String toDt, @Param("menuNo") String menuNo, @Param("actTpCd") String actTpCd, @Param("userId") String userId) throws Exception;

    int selectJobInfoGridListCnt() throws Exception;

    int insertJobInfo(JobEntity entity) throws Exception;

    JobEntity selectConnectUserAuth(@Param("userId") String userId, @Param("connUrl") String connUrl) throws Exception;
}
